org.jfree.report.util.beans

## Class BeanUtility

- java.lang.Object
- - org.jfree.report.util.beans.BeanUtility

-     public final class BeanUtility
      extends java.lang.Object

  The BeanUtility class enables access to bean properties using the reflection API.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanUtility(java.lang.Object o)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanUtility` | `derive(java.lang.Object o)`
    `java.lang.String[]` | `getProperties()`
    `java.lang.Object` | `getProperty(java.lang.String name)`
    `java.lang.String` | `getPropertyAsString(java.lang.String name)`
    `java.beans.PropertyDescriptor[]` | `getPropertyInfos()`
    `static java.lang.Class` | `getPropertyType(java.beans.PropertyDescriptor pd)`
    `java.lang.Class` | `getPropertyType(java.lang.String name)`
    `void` | `setProperty(java.lang.String name, java.lang.Object o)`
    `void` | `setPropertyAsString(java.lang.String name, java.lang.Class type, java.lang.String txt)`
    `void` | `setPropertyAsString(java.lang.String name, java.lang.String txt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanUtility

          public BeanUtility(java.lang.Object o)
                      throws java.beans.IntrospectionException

      Throws:
        `java.beans.IntrospectionException`

  - ### Method Detail

    - #### derive

          public BeanUtility derive(java.lang.Object o)

    - #### getPropertyInfos

          public java.beans.PropertyDescriptor[] getPropertyInfos()

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String name)
                                       throws BeanException

      Throws:
        `BeanException`

    - #### getPropertyAsString

          public java.lang.String getPropertyAsString(java.lang.String name)
                                               throws BeanException

      Throws:
        `BeanException`

    - #### setProperty

          public void setProperty(java.lang.String name,
                                  java.lang.Object o)
                           throws BeanException

      Throws:
        `BeanException`

    - #### setPropertyAsString

          public void setPropertyAsString(java.lang.String name,
                                          java.lang.String txt)
                                   throws BeanException

      Throws:
        `BeanException`

    - #### getPropertyType

          public java.lang.Class getPropertyType(java.lang.String name)
                                          throws BeanException

      Throws:
        `BeanException`

    - #### getPropertyType

          public static java.lang.Class getPropertyType(java.beans.PropertyDescriptor pd)
                                                 throws BeanException

      Throws:
        `BeanException`

    - #### setPropertyAsString

          public void setPropertyAsString(java.lang.String name,
                                          java.lang.Class type,
                                          java.lang.String txt)
                                   throws BeanException

      Throws:
        `BeanException`

    - #### getProperties

          public java.lang.String[] getProperties()
                                           throws BeanException

      Throws:
        `BeanException`